View Issue Details

IDProjectCategoryView StatusLast Update
0003244Project Tools & Websites[FreeCAD] Bugpublic2019-06-13 17:05
ReporterKunda1Assigned Toyorik 
PriorityhighSeveritymajorReproducibilityalways
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0003244: Fix MantisBT Source Integration plugin malfunctioning
DescriptionPosting ticket as a reference to get this issue fixed because it does shave down time/eliminates tasks for the devs when it does function.
As of writing this ticket:
  1. None of the Github<->MantisBT integration keywords work, such as: https://freecadweb.org/wiki/github_mantisbt
  2. New commits to GH are not automatically visible in MantisBT unless they are manually refreshed.
  3. Some commits aren't visible through Mantis. When clicking through them on Mantis they 404 on GH. This is due to an original broken installation of Source Integration.

This is a shame because most of the devs were using Source Integration at one point but now aren't maintaining the habit since it's broken.
Tagsbugtracker

Activities

kkremitzki

2017-11-08 04:47

administrator   ~0010396

Strange, none of the plugin settings have changed, and I don't remember us changing the regex for the keywords so I'm not sure what could have precipitated this... besides updating the plugin when I updated MantisBT to 2.8.0.

kkremitzki

2018-03-04 10:09

administrator   ~0011001

Well, I've updated the commits from Nov 2017 -> Mar 2018... bug 0001234

kkremitzki

2018-03-04 10:21

administrator   ~0011002

@Kunda1 It seems like point 1 in this bug is fixed (see the working link in previous post.)

It might be possible to troubleshoot point 2 further with a test Github repo and MantisBT installation (e.g. on https://staging.freecad.io/tracker, which I could help you try if you're interested), but it seems likely that it's related to point 3, which in turn is basically a manifestation of our problem with the shared hosting.

Perhaps since the tracker performs the worst in prod vs staging (see https://forum.freecadweb.org/viewtopic.php?f=8&t=26599 showing ~8s vs ~2s load time)
it would be worth investigating? If we can get it to work consistently in staging, where we have full access, it might warrant trying to move for a new tracker.freecadweb.org on vejmarie's servers.

Thoughts?

Kunda1

2018-03-04 19:51

administrator   ~0011007

Last edited: 2018-03-04 20:06

View 3 revisions

@kkremitzki point 1 refers to these keywords:

cːFreeCADː709d2f325db0490016807b8fa6f49d1c867b6bd8ː (this should reference a commit)
dːFreeCADː709d2f325db0490016807b8fa6f49d1c867b6bd8ː (this should reference a diff)
pːFreeCADː498ː (this should reference a PR)
And these should work. (and as you can see they don't)

kkremitzki wrote

If we can get it to work consistently in staging, where we have full access, it might warrant trying to move for a new tracker.freecadweb.org on vejmarie's servers.

I think this is ultimately the solution we should pursue. It could take care of many of the other roadblocks at once.
@yorik & @wmayer care to weigh in on this ?

yorik

2018-03-04 23:15

administrator   ~0011011

If it works on freecad.io and not on freecadweb.org, yes, I would vote to migrate it there. Not having the source integration is really a PITA.

Redirecting freecadweb.org/tracker to freecad.io/tracker is easy, but there are hundreds of places, mainly on the forum, that link directly to bug pages the freecadweb.org tracker. We should decide what to do there. Maybe it's possible to have a more complex redirection system that would redirect each old bug ID URL to a new one?

kkremitzki

2018-03-05 03:51

administrator   ~0011013

@yorik Complex redirection is somewhat limited by the level of control we have for the shared hosting--we can't really add/enable Apache modules, so we are limited to .htaccess files. The reason I suggested tracker.freecadweb.org instead of freecadweb.org/tracker is because I am not sure it's actually possible with the current Apache config to do the latter, but the former can just be done via DNS. It also has the benefit of being a little more secure (i.e. a vuln on freecadweb.org/tracker can more easily affect anything on freecadweb.org, but a vuln on tracker.freecadweb.org wouldn't as easily affect www.freecadweb.org.)

yorik

2019-06-11 15:21

administrator   ~0013183

Last edited: 2019-06-11 15:22

View 2 revisions

I think I managed to make the plugin work again!! The problem was apparently the "secret" password that you must define on mantis, and give to github... The autogenerated password didn't seem to work, I made one manually and now it works.

On next commits, please help me by coming here and watch the https://freecadweb.org/tracker/plugin.php?page=Source/list&id=2 page right after your commit, I'm still not 100% sure it happens immediately...

yorik

2019-06-12 14:37

administrator   ~0013188

Great, I think it's working!!!

Kunda1

2019-06-13 04:06

administrator   ~0013189

@yorik take a look at 0003244:0011007
Those examples should actually show up as links but they done.

Issue History

Date Modified Username Field Change
2017-11-06 12:39 Kunda1 New Issue
2017-11-06 12:39 Kunda1 Status new => assigned
2017-11-06 12:39 Kunda1 Assigned To => kkremitzki
2017-11-06 12:39 Kunda1 Tag Attached: bugtracker
2017-11-06 12:41 Kunda1 Description Updated View Revisions
2017-11-08 04:47 kkremitzki Note Added: 0010396
2018-03-04 10:09 kkremitzki Note Added: 0011001
2018-03-04 10:14 kkremitzki Assigned To kkremitzki => Kunda1
2018-03-04 10:21 kkremitzki Note Added: 0011002
2018-03-04 19:51 Kunda1 Note Added: 0011007
2018-03-04 19:52 Kunda1 Note Edited: 0011007 View Revisions
2018-03-04 20:06 Kunda1 Note Edited: 0011007 View Revisions
2018-03-04 23:15 yorik Note Added: 0011011
2018-03-05 03:51 kkremitzki Note Added: 0011013
2019-03-02 22:35 Kunda1 Priority normal => high
2019-03-02 22:35 Kunda1 Status assigned => confirmed
2019-06-11 15:21 yorik Note Added: 0013183
2019-06-11 15:22 yorik Note Edited: 0013183 View Revisions
2019-06-12 14:37 yorik Note Added: 0013188
2019-06-13 04:06 Kunda1 Note Added: 0013189
2019-06-13 17:04 Kunda1 Assigned To Kunda1 => yorik
2019-06-13 17:05 Kunda1 Status confirmed => assigned